Get a project
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}'const options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"project": {
"id": "d66fd37f-e2f8-46c3-b549-0160d60eec96",
"name": "Mainnet Monitoring",
"slug": "mainnet-monitoring",
"owner_id": "49309f73-1d60-48fc-94b3-120fd9982381",
"public": false,
"restricted": false,
"high_volume": false,
"in_transfer": false,
"is_module": false,
"created_at": "2026-09-07T16:12:22.895718Z",
"last_push_at": null,
"number_of_users": 1,
"options": null,
"owner": {
"id": "49309f73-1d60-48fc-94b3-120fd9982381",
"first_name": "",
"last_name": "",
"username": "acme",
"email": "",
"type": "organization"
},
"permissions": {
"add_contract": true,
"update_contract": true,
"remove_contract": true,
"create_alert": true,
"update_alert": true,
"remove_alert": true,
"create_and_update_analytics": true,
"manage_collaborators": true
},
"members": [
{
"id": "2f6a3c4e-1b7d-4e0a-9c11-5d2e8a7b9f30",
"username": "jane",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@example.com",
"accepted": true,
"added_at": "2026-09-07T16:12:23.104Z"
}
]
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "9a7bbe06-7f6f-4a45-8c78-8d64b9a9d0e1",
"slug": "too_many_requests",
"message": "API Rate limit exceeded."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Projects
Get a project
Returns a single project by slug or ID.
Project members, and accepted organization members of a project that is open to the organization, receive the owner, their effective permissions and the member list. A restricted project is returned to its explicit members only.
GET
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
Get a project
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}'const options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"project": {
"id": "d66fd37f-e2f8-46c3-b549-0160d60eec96",
"name": "Mainnet Monitoring",
"slug": "mainnet-monitoring",
"owner_id": "49309f73-1d60-48fc-94b3-120fd9982381",
"public": false,
"restricted": false,
"high_volume": false,
"in_transfer": false,
"is_module": false,
"created_at": "2026-09-07T16:12:22.895718Z",
"last_push_at": null,
"number_of_users": 1,
"options": null,
"owner": {
"id": "49309f73-1d60-48fc-94b3-120fd9982381",
"first_name": "",
"last_name": "",
"username": "acme",
"email": "",
"type": "organization"
},
"permissions": {
"add_contract": true,
"update_contract": true,
"remove_contract": true,
"create_alert": true,
"update_alert": true,
"remove_alert": true,
"create_and_update_analytics": true,
"manage_collaborators": true
},
"members": [
{
"id": "2f6a3c4e-1b7d-4e0a-9c11-5d2e8a7b9f30",
"username": "jane",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@example.com",
"accepted": true,
"added_at": "2026-09-07T16:12:23.104Z"
}
]
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "9a7bbe06-7f6f-4a45-8c78-8d64b9a9d0e1",
"slug": "too_many_requests",
"message": "API Rate limit exceeded."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user
Project slug of the account
Response
A successful response.
A Tenderly project.
Show child attributes
Show child attributes